GNU bug report logs - #44368
27.1; emacs term can't be interrupted when running a subjob over ssh which output too fast

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: chophi <chophi@HIDDEN>; dated Sun, 1 Nov 2020 10:53:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44368 <at> debbugs.gnu.org:


Received: (at 44368) by debbugs.gnu.org; 1 Nov 2020 12:24:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 07:24:54 2020
Received: from localhost ([127.0.0.1]:35851 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZCPm-000787-9R
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:24:54 -0500
Received: from static.rcdrun.com ([95.85.24.50]:45647)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1kZCPl-00077y-0L
 for 44368 <at> debbugs.gnu.org; Sun, 01 Nov 2020 07:24:53 -0500
Received: from localhost ([::ffff:197.157.0.60])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_GCM_SHA384)
 by static.rcdrun.com with ESMTPSA
 id 00000000002A0B41.000000005F9EA913.000062F0; Sun, 01 Nov 2020 12:24:50 +0000
Date: Sun, 1 Nov 2020 15:24:36 +0300
From: Jean Louis <bugs@HIDDEN>
To: chophi <chophi@HIDDEN>
Subject: Re: bug#44368: 27.1; emacs term can't be interrupted when running a
 subjob over ssh which output too fast
Message-ID: <X56pBAVKNGGMz4Sw@HIDDEN>
References: <tencent_0073C0804D2EA9EA2111D00E06FDD0527F08@HIDDEN>
 <tencent_5E52FE73CE80962E4DEAF5113E0ED5FD1B08@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <tencent_5E52FE73CE80962E4DEAF5113E0ED5FD1B08@HIDDEN>
User-Agent: Mutt/+ (1036f0e) (2020-10-18)
X-Spam-Score: 3.5 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  * chophi <chophi@HIDDEN> [2020-11-01 13:53]: > > The
 problem happens when I ssh to a remote host inside emacs terminal, > > and
 trying to interrupt a subjob which output verbose log in a very > > [...]
 Content analysis details:   (3.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
 [197.157.0.60 listed in dnsbl.sorbs.net]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
X-Debbugs-Envelope-To: 44368
Cc: 44368 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  * chophi <chophi@HIDDEN> [2020-11-01 13:53]: > > The
   problem happens when I ssh to a remote host inside emacs terminal, > > and
    trying to interrupt a subjob which output verbose log in a very > > [...]
    
 
 Content analysis details:   (2.5 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  1.5 RCVD_IN_SORBS_WEB      RBL: SORBS: sender is an abusable web server
                             [197.157.0.60 listed in dnsbl.sorbs.net]
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager
  2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
                             everything in local email

* chophi <chophi@HIDDEN> [2020-11-01 13:53]:
> 
> The problem happens when I ssh to a remote host inside emacs terminal,
> 
> and trying to interrupt a subjob which output verbose log in a very
> 
> fast speed. For example, the below command can mimic the situation (run in the ssh client insde the emacs terminal):
> 
> (The C-c C-c was supposed to execute term-interrupt-subjob).

On my side works fine with C-c C-c





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44368; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 1 Nov 2020 10:53:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 01 05:53:00 2020
Received: from localhost ([127.0.0.1]:35731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kZAyk-0006ls-Jj
	for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 05:53:00 -0500
Received: from lists.gnu.org ([209.51.188.17]:40606)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <chophi@HIDDEN>) id 1kZ7Y2-0007eH-N5
 for submit <at> debbugs.gnu.org; Sun, 01 Nov 2020 02:13:10 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:35184)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chophi@HIDDEN>)
 id 1kZ7Y2-0006Jm-I6
 for bug-gnu-emacs@HIDDEN; Sun, 01 Nov 2020 02:13:06 -0500
Received: from out203-205-251-27.mail.qq.com ([203.205.251.27]:50498
 helo=qq.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <chophi@HIDDEN>)
 id 1kZ7Xt-0003BS-Vd
 for bug-gnu-emacs@HIDDEN; Sun, 01 Nov 2020 02:13:04 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=foxmail.com;
 s=s201512; t=1604214754;
 bh=nXXxYD+8TT1BdNjobIyIDniroCecLMsDVPDZYzfn3sM=;
 h=Date:Subject:From:To:CC:References:In-Reply-To;
 b=CCIy/IZmEuWpMtCUlPnBgZeXD5As74FH8VHKGc1QoU1ko1qaLLylMnFS7J7Jv3VqE
 JJP/OaH3ueiYqEtIOhx1zP2al5OqGHbXvT42svLORMsJC82e8ItGUQs2AzlFwRziF+
 xpMOG90W2U4XeVSQmWidqEMHkz+rjjbIcYnb5nhQ=
Received: from [192.168.0.100] ([167.179.75.238])
 by newxmesmtplogicsvrszc6.qq.com (NewEsmtp) with SMTP
 id 32012491; Sun, 01 Nov 2020 15:12:32 +0800
X-QQ-mid: xmsmtpt1604214752t7pvsq9nh
Message-ID: <tencent_5E52FE73CE80962E4DEAF5113E0ED5FD1B08@HIDDEN>
X-QQ-XMAILINFO: M+pbw04SHGHoKN6OD0WRFS7dhLmIB2ZhRZ2+JVE2OS5gAS5SJ2dDs08QL5rmWP
 tDftv+EJW3T9EuzUzhCG7RJpax26udH0BPurfgrqkyCbiv9JS3XHaGxAm4WHLPKlemzKDrUdraeF
 7tYAcF0daGJjwmb5Tmg1kkpfgi7Fsu1LrI78m4vwVr109hESH+J75rIgENiwuvybYxJzVl1cWEdO
 DnkUnTepAyFGmJ0WehW64e0trBoKbf4nV/vnxW+gUYonZW0qOCV4myToTAMJB6/MRy98J51pqdsh
 HjVvmv0vy4xlOyCuXYP/LGzrMHgWYCyTR/84jBNBr8UTmVwDoKwE2ImN7dA3oILrf3DCW8te0vJA
 U0VSFQH8+QKroEJK6PjDjh8AMBAJOr+72PfVAQ5Z4zNjhSyBEZWrmi4yqs5lif1IdjoqqjufK1UV
 o0AWlK6rb9tbZgKHdCfroxZrtoVLCQIbPSFMR8qkKhASx/l6ABhoiHglaAM/4obyOUl8wrvEB5wi
 t+QqjBhipTdESulQXsUe/nIH9GqrkCn2VWGjN/acrR7vB4Uxau99nRN8cqMXVy0tqPKiaTENoJCC
 2l4/RtGMlzZmwoFJZte5/r9kQrp8TcOJsArP/+iA43lYtavs3zr6Vg1kp3sU/aMHdQAeLboV6pjy
 Ny+gsB5oEHClrvDvk7D/UbBANK8XZ/Vu0905sVA4tob90N9n+6hB0TQrr3pKHS5udERSVDnbhPQ7
 mwASr8V831vHCXK/fRtPGDTOVzFkHRxNNpJ9wXFabSxBdeCeQ66B+pwqNBHjNmE/3lGWnGjUEAED
 Oll8XeSQSs/6a6N6mMsLO7
User-Agent: Microsoft-MacOutlook/16.39.20071300
Date: Sun, 01 Nov 2020 15:12:30 +0800
Subject: 27.1; emacs term can't be interrupted when running a subjob over ssh
 which output too fast
From: chophi <chophi@HIDDEN>
To: <bug-gnu-emacs@HIDDEN>
X-OQ-MSGID: <56D6D270-B049-4BC4-8EA9-9F67A7A86597@HIDDEN>
Thread-Topic: 27.1; emacs term can't be interrupted when running a subjob over
 ssh which output too fast
References: <tencent_0073C0804D2EA9EA2111D00E06FDD0527F08@HIDDEN>
In-Reply-To: <tencent_0073C0804D2EA9EA2111D00E06FDD0527F08@HIDDEN>
Mime-version: 1.0
Content-type: multipart/alternative;
	boundary="B_3687088353_1525981865"
Received-SPF: pass client-ip=203.205.251.27; envelope-from=chophi@HIDDEN;
 helo=qq.com
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/11/01 02:12:36
X-ACL-Warn: Detected OS   = Linux 3.x [generic]
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 HTML_MESSAGE=0.001, MIME_QP_LONG_LINE=0.001, RCVD_IN_DNSWL_NONE=-0.0001,
 RDNS_DYNAMIC=0.982, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 01 Nov 2020 05:52:53 -0500
Cc: chophi <chophi@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> This message is in MIME format. Since your mail reader does not understand
this format, some or all of this message may not be legible.

--B_3687088353_1525981865
Content-type: text/plain;
	charset="UTF-8"
Content-transfer-encoding: 7bit

Hi,

 

The problem happens when I ssh to a remote host inside emacs terminal,

and trying to interrupt a subjob which output verbose log in a very

fast speed. For example, the below command can mimic the situation (run in the ssh client insde the emacs terminal):

(The C-c C-c was supposed to execute term-interrupt-subjob).

 

$ while true; do echo I\'m outputing verbose logging; done; # C-c C-c

can't interrupt

 

but if I add a sleep in the while loop, it can be interrupted

 

$ while true; do echo I\'m outputing verbose logging; sleep 1; done; #

C-c C-c can interrupt the subjob

 

I have tried the same in the iTerm, and found the subjob can be

interrupted immediately.

 

BTW, I have asked the same question in

https://stackoverflow.com/questions/64525361/emacs-term-cant-be-interrupted-when-running-a-subjob-over-ssh-which-output-too,

unfortunately get no answer, so, I'm taking the chance to ask for help

here.

 

Regards,

Yang

 

 

In GNU Emacs 27.1 (build 1, x86_64-apple-darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))

of 2020-10-31 built on CpLarge.local

Windowing system distributor 'Apple', version 10.3.1894

System Description:  Mac OS X 10.15.7

 

Recent messages:

For information about GNU Emacs and the GNU system, type C-h C-a.

command-execute: Buffer is read-only: #<buffer *terminal*>

Configured using:

'configure --disable-dependency-tracking --disable-silent-rules

--enable-locallisppath=/usr/local/share/emacs/site-lisp

--infodir=/usr/local/Cellar/emacs-plus@27/27.1/share/info/emacs

--prefix=/usr/local/Cellar/emacs-plus@27/27.1 --with-xml2 --with-gnutls

--without-dbus --with-imagemagick --with-modules --with-rsvg --with-ns

--disable-ns-self-contained'

 

Configured features:

RSVG IMAGEMAGICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB

TOOLKIT_SCROLL_BARS NS MODULES THREADS JSON PDUMPER LCMS2 GMP

 

Important settings:

  value of $LC_ALL: 

  value of $LC_COLLATE: en_US.UTF-8

  value of $LC_CTYPE: en_US.UTF-8

  value of $LC_MESSAGES: en_US.UTF-8

  value of $LC_MONETARY: en_US.UTF-8

  value of $LC_NUMERIC: en_US.UTF-8

  value of $LC_TIME: en_US.UTF-8

  value of $LANG: en_US.UTF-8

  locale-coding-system: utf-8-unix

 

Major mode: Lisp Interaction

 

Minor modes in effect:

  tooltip-mode: t

  global-eldoc-mode: t

  eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  transient-mark-mode: t

 

Load-path shadows:

None found.

 

Features:

(shadow sort mail-extr emacsbug message rmc puny dired dired-loaddefs

format-spec rfc822 mml mml-sec password-cache epa derived epg epg-config

gnus-util rmail rmail-loaddefs text-property-search time-date subr-x seq

byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode

mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs cl-lib

sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils term

disp-table easymenu comint ansi-color ehelp ring tooltip eldoc electric

uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win

ucs-normalize mule-util term/common-win tool-bar dnd fontset image

regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode

lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch

timer select scroll-bar mouse jit-lock font-lock syntax facemenu

font-core term/tty-colors frame minibuffer cl-generic cham georgian

utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean

japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european

ethiopic indian cyrillic chinese composite charscript charprop

case-table epa-hook jka-cmpr-hook help simple abbrev obarray

cl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule

custom widget hashtable-print-readable backquote threads kqueue cocoa ns

lcms2 multi-tty make-network-process emacs)

 

Memory information:

((conses 16 49143 7169)

(symbols 48 6596 1)

(strings 32 17190 1410)

(string-bytes 1 580741)

(vectors 16 10571)

(vector-slots 8 131365 12720)

(floats 8 19 43)

(intervals 56 201 0)

(buffers 1000 12))

 


--B_3687088353_1525981865
Content-type: text/html;
	charset="UTF-8"
Content-transfer-encoding: quoted-printable

<html xmlns:o=3D"urn:schemas-microsoft-com:office:office" xmlns:w=3D"urn:schema=
s-microsoft-com:office:word" xmlns:m=3D"http://schemas.microsoft.com/office/20=
04/12/omml" xmlns=3D"http://www.w3.org/TR/REC-html40"><head><meta http-equiv=3DC=
ontent-Type content=3D"text/html; charset=3Dutf-8"><meta name=3DGenerator content=3D=
"Microsoft Word 15 (filtered medium)"><style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:DengXian;
	panose-1:2 1 6 0 3 1 1 1 1 1;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
@font-face
	{font-family:"\@DengXian";
	panose-1:2 1 6 0 3 1 1 1 1 1;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0in;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:blue;
	text-decoration:underline;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-size:10.0pt;}
@page WordSection1
	{size:8.5in 11.0in;
	margin:1.0in 1.0in 1.0in 1.0in;}
div.WordSection1
	{page:WordSection1;}
--></style></head><body lang=3DEN-US link=3Dblue vlink=3Dpurple><div class=3DWordSe=
ction1><div><p class=3DMsoNormal>Hi,<o:p></o:p></p><p class=3DMsoNormal>&nbsp;<o=
:p></o:p></p></div><div><p class=3DMsoNormal>The problem happens when I ssh to=
 a remote host inside emacs terminal,<o:p></o:p></p></div><div><p class=3DMsoN=
ormal>and trying to interrupt a subjob which output verbose log in a very<o:=
p></o:p></p></div><div><p class=3DMsoNormal>fast speed. For example, the below=
 command can mimic the situation (run in the ssh client insde the emacs term=
inal):<o:p></o:p></p><p class=3DMsoNormal>(The C-c C-c was supposed to execute=
 term-interrupt-subjob).<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<=
o:p></o:p></p></div><div><p class=3DMsoNormal>$ while true; do echo I\'m outpu=
ting verbose logging; done; # C-c C-c<o:p></o:p></p></div><div><p class=3DMsoN=
ormal>can't interrupt<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<o:p=
></o:p></p></div><div><p class=3DMsoNormal>but if I add a sleep in the while l=
oop, it can be interrupted<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp=
;<o:p></o:p></p></div><div><p class=3DMsoNormal>$ while true; do echo I\'m out=
puting verbose logging; sleep 1; done; #<o:p></o:p></p></div><div><p class=3DM=
soNormal>C-c C-c can interrupt the subjob<o:p></o:p></p></div><div><p class=3D=
MsoNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>I have tried th=
e same in the iTerm, and found the subjob can be<o:p></o:p></p></div><div><p=
 class=3DMsoNormal>interrupted immediately.<o:p></o:p></p></div><div><p class=3D=
MsoNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>BTW, I have ask=
ed the same question in<o:p></o:p></p></div><div><p class=3DMsoNormal><a href=3D=
"https://stackoverflow.com/questions/64525361/emacs-term-cant-be-interrupted=
-when-running-a-subjob-over-ssh-which-output-too">https://stackoverflow.com/=
questions/64525361/emacs-term-cant-be-interrupted-when-running-a-subjob-over=
-ssh-which-output-too</a>,<o:p></o:p></p></div><div><p class=3DMsoNormal>unfor=
tunately get no answer, so, I'm taking the chance to ask for help<o:p></o:p>=
</p></div><div><p class=3DMsoNormal>here.<o:p></o:p></p></div><div><p class=3DMs=
oNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>Regards,<o:p></o:=
p></p></div><div><p class=3DMsoNormal>Yang<o:p></o:p></p></div><div><p class=3DM=
soNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<o:p></o:p=
></p></div><div><p class=3DMsoNormal>In GNU Emacs 27.1 (build 1, x86_64-apple-=
darwin19.6.0, NS appkit-1894.60 Version 10.15.7 (Build 19H2))<o:p></o:p></p>=
</div><div><p class=3DMsoNormal>of 2020-10-31 built on CpLarge.local<o:p></o:p=
></p></div><div><p class=3DMsoNormal>Windowing system distributor 'Apple', ver=
sion 10.3.1894<o:p></o:p></p></div><div><p class=3DMsoNormal>System Descriptio=
n:&nbsp;&nbsp;Mac OS X 10.15.7<o:p></o:p></p></div><div><p class=3DMsoNormal>&=
nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>Recent messages:<o:p></o:p=
></p></div><div><p class=3DMsoNormal>For information about GNU Emacs and the G=
NU system, type C-h C-a.<o:p></o:p></p></div><div><p class=3DMsoNormal>command=
-execute: Buffer is read-only: #&lt;buffer *terminal*&gt;<o:p></o:p></p></di=
v><div><p class=3DMsoNormal>Configured using:<o:p></o:p></p></div><div><p clas=
s=3DMsoNormal>'configure --disable-dependency-tracking --disable-silent-rules<=
o:p></o:p></p></div><div><p class=3DMsoNormal>--enable-locallisppath=3D/usr/loca=
l/share/emacs/site-lisp<o:p></o:p></p></div><div><p class=3DMsoNormal><a href=3D=
"mailto:--infodir=3D/usr/local/Cellar/emacs-plus@27/27.1/share/info/emacs">--i=
nfodir=3D/usr/local/Cellar/emacs-plus@27/27.1/share/info/emacs</a><o:p></o:p><=
/p></div><div><p class=3DMsoNormal><a href=3D"mailto:--prefix=3D/usr/local/Cellar/=
emacs-plus@27/27.1">--prefix=3D/usr/local/Cellar/emacs-plus@27/27.1</a> --with=
-xml2 --with-gnutls<o:p></o:p></p></div><div><p class=3DMsoNormal>--without-db=
us --with-imagemagick --with-modules --with-rsvg --with-ns<o:p></o:p></p></d=
iv><div><p class=3DMsoNormal>--disable-ns-self-contained'<o:p></o:p></p></div>=
<div><p class=3DMsoNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>C=
onfigured features:<o:p></o:p></p></div><div><p class=3DMsoNormal>RSVG IMAGEMA=
GICK GLIB NOTIFY KQUEUE ACL GNUTLS LIBXML2 ZLIB<o:p></o:p></p></div><div><p =
class=3DMsoNormal>TOOLKIT_SCROLL_BARS NS MODULES THREADS JSON PDUMPER LCMS2 GM=
P<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<o:p></o:p></p></div><di=
v><p class=3DMsoNormal>Important settings:<o:p></o:p></p></div><div><p class=3DM=
soNormal>&nbsp;&nbsp;value of $LC_ALL: <o:p></o:p></p></div><div><p class=3DMs=
oNormal>&nbsp;&nbsp;value of $LC_COLLATE: en_US.UTF-8<o:p></o:p></p></div><d=
iv><p class=3DMsoNormal>&nbsp;&nbsp;value of $LC_CTYPE: en_US.UTF-8<o:p></o:p>=
</p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;value of $LC_MESSAGES: en_US.U=
TF-8<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;value of $LC_MO=
NETARY: en_US.UTF-8<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;=
value of $LC_NUMERIC: en_US.UTF-8<o:p></o:p></p></div><div><p class=3DMsoNorma=
l>&nbsp;&nbsp;value of $LC_TIME: en_US.UTF-8<o:p></o:p></p></div><div><p cla=
ss=3DMsoNormal>&nbsp;&nbsp;value of $LANG: en_US.UTF-8<o:p></o:p></p></div><di=
v><p class=3DMsoNormal>&nbsp;&nbsp;locale-coding-system: utf-8-unix<o:p></o:p>=
</p></div><div><p class=3DMsoNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DM=
soNormal>Major mode: Lisp Interaction<o:p></o:p></p></div><div><p class=3DMsoN=
ormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>Minor modes in effe=
ct:<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;tooltip-mode: t<=
o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;global-eldoc-mode: t=
<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;eldoc-mode: t<o:p><=
/o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;electric-indent-mode: t<o=
:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;mouse-wheel-mode: t<o=
:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;tool-bar-mode: t<o:p>=
</o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;menu-bar-mode: t<o:p></o=
:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;file-name-shadow-mode: t<o:=
p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;global-font-lock-mode:=
 t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;font-lock-mode: t=
<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;blink-cursor-mode: =
t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;auto-composition-m=
ode: t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;auto-encrypti=
on-mode: t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;auto-comp=
ression-mode: t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;line=
-number-mode: t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;&nbsp;tran=
sient-mark-mode: t<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<o:p></=
o:p></p></div><div><p class=3DMsoNormal>Load-path shadows:<o:p></o:p></p></div=
><div><p class=3DMsoNormal>None found.<o:p></o:p></p></div><div><p class=3DMsoNo=
rmal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal>Features:<o:p></o:p>=
</p></div><div><p class=3DMsoNormal>(shadow sort mail-extr emacsbug message rm=
c puny dired dired-loaddefs<o:p></o:p></p></div><div><p class=3DMsoNormal>form=
at-spec rfc822 mml mml-sec password-cache epa derived epg epg-config<o:p></o=
:p></p></div><div><p class=3DMsoNormal>gnus-util rmail rmail-loaddefs text-pro=
perty-search time-date subr-x seq<o:p></o:p></p></div><div><p class=3DMsoNorma=
l>byte-opt gv bytecomp byte-compile cconv mm-decode mm-bodies mm-encode<o:p>=
</o:p></p></div><div><p class=3DMsoNormal>mail-parse rfc2231 mailabbrev gmm-ut=
ils mailheader cl-loaddefs cl-lib<o:p></o:p></p></div><div><p class=3DMsoNorma=
l>sendmail rfc2047 rfc2045 ietf-drums mm-util mail-prsvr mail-utils term<o:p=
></o:p></p></div><div><p class=3DMsoNormal>disp-table easymenu comint ansi-col=
or ehelp ring tooltip eldoc electric<o:p></o:p></p></div><div><p class=3DMsoNo=
rmal>uniquify ediff-hook vc-hooks lisp-float-type mwheel term/ns-win ns-win<=
o:p></o:p></p></div><div><p class=3DMsoNormal>ucs-normalize mule-util term/com=
mon-win tool-bar dnd fontset image<o:p></o:p></p></div><div><p class=3DMsoNorm=
al>regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode<=
o:p></o:p></p></div><div><p class=3DMsoNormal>lisp-mode prog-mode register pag=
e tab-bar menu-bar rfn-eshadow isearch<o:p></o:p></p></div><div><p class=3DMso=
Normal>timer select scroll-bar mouse jit-lock font-lock syntax facemenu<o:p>=
</o:p></p></div><div><p class=3DMsoNormal>font-core term/tty-colors frame mini=
buffer cl-generic cham georgian<o:p></o:p></p></div><div><p class=3DMsoNormal>=
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean<o:p></o:p><=
/p></div><div><p class=3DMsoNormal>japanese eucjp-ms cp51932 hebrew greek roma=
nian slovak czech european<o:p></o:p></p></div><div><p class=3DMsoNormal>ethio=
pic indian cyrillic chinese composite charscript charprop<o:p></o:p></p></di=
v><div><p class=3DMsoNormal>case-table epa-hook jka-cmpr-hook help simple abbr=
ev obarray<o:p></o:p></p></div><div><p class=3DMsoNormal>cl-preloaded nadvice =
loaddefs button faces cus-face macroexp files<o:p></o:p></p></div><div><p cl=
ass=3DMsoNormal>text-properties overlay sha1 md5 base64 format env code-pages =
mule<o:p></o:p></p></div><div><p class=3DMsoNormal>custom widget hashtable-pri=
nt-readable backquote threads kqueue cocoa ns<o:p></o:p></p></div><div><p cl=
ass=3DMsoNormal>lcms2 multi-tty make-network-process emacs)<o:p></o:p></p></di=
v><div><p class=3DMsoNormal>&nbsp;<o:p></o:p></p></div><div><p class=3DMsoNormal=
>Memory information:<o:p></o:p></p></div><div><p class=3DMsoNormal>((conses 16=
 49143 7169)<o:p></o:p></p></div><div><p class=3DMsoNormal>(symbols 48 6596 1)=
<o:p></o:p></p></div><div><p class=3DMsoNormal>(strings 32 17190 1410)<o:p></o=
:p></p></div><div><p class=3DMsoNormal>(string-bytes 1 580741)<o:p></o:p></p><=
/div><div><p class=3DMsoNormal>(vectors 16 10571)<o:p></o:p></p></div><div><p =
class=3DMsoNormal>(vector-slots 8 131365 12720)<o:p></o:p></p></div><div><p cl=
ass=3DMsoNormal>(floats 8 19 43)<o:p></o:p></p></div><div><p class=3DMsoNormal>(=
intervals 56 201 0)<o:p></o:p></p></div><div><p class=3DMsoNormal>(buffers 100=
0 12))<o:p></o:p></p></div><div><p class=3DMsoNormal>&nbsp;<o:p></o:p></p></di=
v></div></body></html>

--B_3687088353_1525981865--






Acknowledgement sent to chophi <chophi@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44368; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 1 Nov 2020 12:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.